Bug 207531 - math/ogdf: Update to 2015.05
Summary: math/ogdf: Update to 2015.05
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL: http://www.ogdf.net/doku.php/tech:ver...
Keywords:
Depends on:
Blocks: 207818
  Show dependency treegraph
 
Reported: 2016-02-26 21:01 UTC by Ben Woods
Modified: 2016-03-09 19:10 UTC (History)
1 user (show)

See Also:


Attachments
Patch to update math/ogdf to 2015.05 (40.90 KB, patch)
2016-02-26 21:01 UTC, Ben Woods
no flags Details | Diff
QA: Successful poudriere testport logs for ogdf-2015.05 with COIN disabled on FreeBSD 10.2 amd64 (160.45 KB, text/plain)
2016-02-26 21:03 UTC, Ben Woods
no flags Details
QA: Successful poudriere testport logs for ogdf-2015.05 with COIN enabled on FreeBSD 10.2 amd64 (277.45 KB, text/plain)
2016-02-26 21:09 UTC, Ben Woods
no flags Details
QA: Successful poudriere testport logs for ogdf-2015.05 with COIN disabled on FreeBSD 9.3 i386 (150.90 KB, text/plain)
2016-02-26 21:11 UTC, Ben Woods
no flags Details
QA: Successful poudriere testport logs for ogdf-2015.05 with COIN enabled on FreeBSD 9.3 i386 (254.35 KB, text/plain)
2016-02-26 21:22 UTC, Ben Woods
no flags Details
Patch to update math/ogdf to 2015.05 (41.05 KB, patch)
2016-02-26 21:28 UTC, Ben Woods
no flags Details | Diff
Patch to update math/ogdf to 2015.05 (41.66 KB, patch)
2016-02-28 20:31 UTC, Ben Woods
no flags Details | Diff
Patch to update math/ogdf to 2015.05 (41.72 KB, patch)
2016-03-08 21:09 UTC, Ben Woods
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Woods freebsd_committer 2016-02-26 21:01:11 UTC
Created attachment 167458 [details]
Patch to update math/ogdf to 2015.05

* Update math/ogdf to 2015.05
* Remove dependencies on math/abacus and math/coinmp, as they are now bundled into the OGDF source tarballs and compiled from there (COIN remains optional)
* Point MASTER_SITES to the official OGDF website
* Utilise USES=compiler:features to detect C++11 support, and add compiler flags -std=c++11 if so (required for build to complete without errors)
* Remove custom do-install recipe, and instead use default make install target
* Take maintainership

Changes:
http://www.ogdf.net/doku.php/tech:versions#v_201505_baobab
Comment 1 Ben Woods freebsd_committer 2016-02-26 21:03:00 UTC
Created attachment 167459 [details]
QA: Successful poudriere testport logs for ogdf-2015.05 with COIN disabled on FreeBSD 10.2 amd64
Comment 2 Ben Woods freebsd_committer 2016-02-26 21:09:54 UTC
Created attachment 167460 [details]
QA: Successful poudriere testport logs for ogdf-2015.05 with COIN enabled on FreeBSD 10.2 amd64
Comment 3 Ben Woods freebsd_committer 2016-02-26 21:11:33 UTC
Created attachment 167461 [details]
QA: Successful poudriere testport logs for ogdf-2015.05 with COIN disabled on FreeBSD 9.3 i386
Comment 4 Ben Woods freebsd_committer 2016-02-26 21:22:12 UTC
Created attachment 167462 [details]
QA: Successful poudriere testport logs for ogdf-2015.05 with COIN enabled on FreeBSD 9.3 i386
Comment 5 Ben Woods freebsd_committer 2016-02-26 21:28:43 UTC
Created attachment 167463 [details]
Patch to update math/ogdf to 2015.05

Patch updated to strip libraries in post-install step
Comment 6 Kurt Jaeger freebsd_committer 2016-02-27 17:25:12 UTC
I tried to build it on 11a (current) and it failed with:

===>  Building for ogdf-2015.05
gmake[2]: Entering directory '/home/pi/myp/math/ogdf/work/OGDF'
mkdir -p _release/src/ogdf/fileformats
c++ -O2 -pipe -fstack-protector -fno-strict-aliasing -fPIC -I./include  -DOGDF_INSTALL -O2 -o _release/src/ogdf/fileformats/DotParser.o -c src/ogdf/fileformats/DotParser.cpp
src/ogdf/fileformats/DotParser.cpp:766:18: error: use of overloaded operator
      '>>' is ambiguous (with operand types 'std::__1::basic_istream<char>' and
      'char')
                        ss >> GA.x(v) >> ',' >> GA.y(v);
                        ~~~~~~~~~~~~~ ^  ~~~
Comment 7 Ben Woods freebsd_committer 2016-02-28 18:31:05 UTC
(In reply to Kurt Jaeger from comment #6)
Hi Kurt, Thanks for looking at this. I cannot repeat this behaviour on FreeBSD 11-current. Can you please let me know if you have anything unusual in your make.conf? Can you please also paste the configuration summary that is displayed during a "make configure"?
Comment 8 Kurt Jaeger freebsd_committer 2016-02-28 18:37:53 UTC
make showconfig
===> The following configuration options are available for ogdf-2015.05:
     COIN=off: Build with COIN solvers

cat /etc/make.conf 
WITH_PKGNG=devel
DEVELOPER=yes
DEFAULT_VERSIONS= perl5=5.22 python=2.7 python3=3.4 ruby=2.3 pgsql=9.5 php=7.0
Comment 9 Ben Woods freebsd_committer 2016-02-28 19:14:04 UTC
(In reply to Kurt Jaeger from comment #8)
Nothing unusual there. Can you please also paste the output of "make configure"?
Comment 10 Kurt Jaeger freebsd_committer 2016-02-28 19:25:11 UTC
http://people.freebsd.org/~pi/logs/ogdf-log.txt
Comment 11 Ben Woods freebsd_committer 2016-02-28 20:31:29 UTC
Created attachment 167530 [details]
Patch to update math/ogdf to 2015.05

This updated patch includes my modifications to files/patch-makeMakefile.py, which was missing in my previous patch as I had initially marked it as deleted using svn delete, and then subsequently added a new file in its place, causing it to be missed during an "svn diff". Thanks for your help finding this Kurt.
Comment 12 Ben Woods freebsd_committer 2016-02-28 20:32:42 UTC
This bug report should only be committed once an update to graphics/tulip has been prepared, as it depends on math/ogdf and I don't believe it will work with this updated version without itself being updated.
Comment 13 Kurt Jaeger freebsd_committer 2016-02-28 20:54:28 UTC
So we need an update to tulip-4.8.1 for ogdf to build/work ?
Comment 14 Kurt Jaeger freebsd_committer 2016-02-28 20:55:03 UTC
testbuilds@work
Comment 15 Kurt Jaeger freebsd_committer 2016-02-28 20:56:22 UTC
ogdf has no dependency on tulip, maybe it's the other way around ?

So if we update ogdf, tulip will break ?
Comment 16 Ben Woods freebsd_committer 2016-02-28 20:59:08 UTC
(In reply to Kurt Jaeger from comment #15)
> ogdf has no dependency on tulip, maybe it's the other way around ?
> 
> So if we update ogdf, tulip will break ?

Indeed, I suspect updating ogdf will break tulip, but I am not certain.

I am in the process of creating a patch for updating tulip to 4.8.1 which needs this updated ogdf. However, I am battling some build errors with tulip 4.8.1.
Comment 17 Ben Woods freebsd_committer 2016-03-08 21:09:57 UTC
Created attachment 167871 [details]
Patch to update math/ogdf to 2015.05

Patch updated to enable COIN option by default (required for graphics/tulip which depends on math/ogdf). Also added details that math/coinmp will conflict with the math/ogdf if it is built with the COIN options enabled (the two packages will install overlapping files).
Comment 18 Kurt Jaeger freebsd_committer 2016-03-09 06:35:25 UTC
There's a portlint issue we need to fix:

FATAL: Makefile: URL "http://www.ogdf.net/lib/exe/fetch.php/tech:" should end with "/" or a group name (e.g. :something).
Comment 19 Kurt Jaeger freebsd_committer 2016-03-09 06:35:44 UTC
Btw, testbuilds are fine.
Comment 20 Ben Woods freebsd_committer 2016-03-09 07:38:48 UTC
(In reply to Kurt Jaeger from comment #18)
> FATAL: Makefile: URL "http://www.ogdf.net/lib/exe/fetch.php/tech:" should
> end with "/" or a group name (e.g. :something).

This error is generated in the portlint subroutine urlcheck:
http://svnweb.freebsd.org/ports/head/ports-mgmt/portlint/src/portlint.pl?revision=404027&view=markup#l3446

Given that this subroutine is only used to check the URLs for MASTER_SITES, it should not throw an error if the URL ends in a ":", since the DISTFILE will always be appended to the MASTER__SITES to create the full URL for fetch. Therefore, the final URL for fetch will not end in a ":" simply because MASTER_SITES ends in a ":". This fatal error should at a minimum be converted to a warning, stating that it is unusual for MASTER_SITES to end in ":".
Comment 21 Kurt Jaeger freebsd_committer 2016-03-09 09:47:59 UTC
There is a mechanism in bsd.port.mk which iterates over DISTFILES
and parses, with : as seperator (for grouping).
It does not seem to matter here, but I do not really understand the possible sideeffects.

See Mk/bsd.port.mk, lines 2367ff.
Comment 22 Kurt Jaeger freebsd_committer 2016-03-09 09:49:22 UTC
grouping rules explained in the handbook:

https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/book.html#porting-master-sites-n
Comment 23 Kurt Jaeger freebsd_committer 2016-03-09 14:57:09 UTC
Portlint problem report raised:
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=207843
Comment 24 commit-hook freebsd_committer 2016-03-09 16:50:35 UTC
A commit references this bug:

Author: pi
Date: Wed Mar  9 16:49:39 UTC 2016
New revision: 410707
URL: https://svnweb.freebsd.org/changeset/ports/410707

Log:
  math/ogdf: 2012.07 -> 2015.05

  Changes:
    http://www.ogdf.net/doku.php/tech:versions#v_201505_baobab

  - Remove dependencies on math/abacus and math/coinmp, as they are
    now bundled into the OGDF source tarballs and compiled from there
    (COIN remains optional)
  - Point MASTER_SITES to the official OGDF website
  - Utilise USES=compiler:features to detect C++11 support, and
    add compiler flags -std=c++11 if so (required for build to complete
    without errors)
  - Remove custom do-install recipe, and instead use default
    make install target
  - Take maintainership

  PR:		207531
  Submitted by:	Ben Woods <woodsb02@gmail.com>

Changes:
  head/math/ogdf/Makefile
  head/math/ogdf/distinfo
  head/math/ogdf/files/patch-include_ogdf_basic_System.h
  head/math/ogdf/files/patch-include_ogdf_internal_basic_config.h
  head/math/ogdf/files/patch-makeMakefile.config
  head/math/ogdf/files/patch-makeMakefile.py
  head/math/ogdf/files/patch-ogdf-basic_System.h
  head/math/ogdf/files/patch-ogdf-basic_basic.h
  head/math/ogdf/files/patch-ogdf-internal-cluster_basics.h
  head/math/ogdf/files/patch-src-basic_System.cpp
  head/math/ogdf/files/patch-src_ogdf_basic_System.cpp
  head/math/ogdf/files/patch-test_gtest_gtest.h
  head/math/ogdf/pkg-plist
Comment 25 Kurt Jaeger freebsd_committer 2016-03-09 16:51:11 UTC
Committed, thanks!
Comment 26 commit-hook freebsd_committer 2016-03-09 19:10:59 UTC
A commit references this bug:

Author: pi
Date: Wed Mar  9 19:10:34 UTC 2016
New revision: 410721
URL: https://svnweb.freebsd.org/changeset/ports/410721

Log:
  math/coinmp: add conflict with ogdf

  PR:		207531
  Submitted by:	gahr

Changes:
  head/math/coinmp/Makefile